Commit e6c10f6e authored by alex@thinkpad's avatar alex@thinkpad
Browse files

QEMU install: attempt to fix warnings about 64-bit gdb on Mac and WSL (to be tested)

the script should print warnings about them, but accept them as valid

--HG--
branch : qemu
parent ded8f42bd109
......@@ -71,7 +71,15 @@ function valid_arm_gdb {
# 64-bit version - doesn't work well
# fixme: this may get printed more than once
echo "*** WARNING: 64-bit GDB is known to have issues."
return 1
if [ $(uname) == "Darwin" ] || [ -n "$(uname -a | grep Microsoft)" ]; then
# we don't have a 64-bit option on these systems
# just warn, about it, but consider it valid
return 0
else
# systems assumed to be able to run a 32-bit GDB
# consider the 64-bit one invalid
return 1
fi
fi
fi
......@@ -112,7 +120,6 @@ if [ $(uname) == "Darwin" ]; then
done
GREP=ggrep
ALLOW_64BIT_GDB=y
fi
if [ -n "$(lsb_release -i 2>/dev/null | grep Ubuntu)" ]; then
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment